SALT-KEY(1)

NAME
salt-key - salt-key Documentation

SYNOPSIS

salt-key [ options ]

DESCRIPTION

Salt-key executes simple management of Salt server public keys used for authentication.

OPTIONS

--version
    Print the version of Salt that is running.

--versions-report
    Show program's dependencies and version number, and then exit

-h, --help
    Show the help message and exit

-c CONFIG_DIR, --config-dir=CONFIG_dir
    The location of the Salt configuration directory. This directory contains the configuration files for Salt master and minions. The default location on most systems is /etc/salt.

-q, --quiet
    Suppress output

-y, --yes
    Answer 'Yes' to all questions presented, defaults to False

  Logging Options

Logging options which override any settings defined on the configuration files.

--log-file=LOG_FILE
    Log file path. Default: /var/log/salt/minion.

--log-file-level=LOG_LEVEL_LOGFILE
    Logfile logging log level. One of all, garbage, trace, debug, info, warning, error, quiet. Default: warning.

  Output Options

--out
    Pass in an alternative outputter to display the return of data. This outputter can be any of the available outputters: grains, highstate, json, key, overstatestage, pprint, raw, txt, yaml

    Some outputters are formatted only for data returned from specific functions; for instance, the grains outputter will not work for non-grains data.

    If an outputter is used that does not support the data passed into it, then Salt will fall back on the pprint outputter and display the return data using the Python pprint standard library module.

    NOTE: If using --out=json, you will probably want --static as well. Without the static option, you will get a JSON string for each minion. This is due to using an iterative outputter. So if you want to feed it to a JSON parser, use --static as well.

--out-indent OUTPUT_INDENT, --output-indent OUTPUT_INDENT
    Print the output indented by the provided value in spaces. Negative values disable indentation. Only applicable in outputters that support indentation.

--out-file=OUTPUT_FILE, --output-file=OUTPUT_FILE
    Write the output to the specified file.

--no-color
    Disable all colored output

--force-color
    Force colored output

  Actions

-l ARG, --list=ARG
    List the public keys. The args "pre", "un", and "unaccepted" will list unaccepted/unsigned keys. "acc" or "accepted" will list accepted/signed keys. "rej" or "rejected" will list rejected keys. Finally, "all" will list all keys.

-L, --list-all
    List all public keys on this Salt master: accepted, pending, and rejected.

-a ACCEPT, --accept=ACCEPT
    Accept the named minion public key for command execution.

-A, --accept-all
    Accepts all pending public keys.

-r REJECT, --reject=REJECT
    Reject the named minion public key.

-R, --reject-all
    Rejects all pending public keys.

-p PRINT, --print=PRINT
    Print the specified public key

-P, --print-all
    Print all public keys

-d DELETE, --delete=DELETE
    Delete the named minion key or minion keys matching a glob for command execution.

-D, --delete-all
    Delete all keys

-f FINGER, --finger=FINGER
    Print the named key's fingerprint

-F, --finger-all
    Print all key's fingerprints

  Key Generation Options

--gen-keys=GEN_KEYS
    Set a name to generate a keypair for use with salt

--gen-keys-dir=GEN_KEYS_DIR
    Set the directory to save the generated keypair. Only works with 'gen_keys_dir' option; default is the current directory.

--keysize=KEYSIZE
    Set the keysize for the generated key, only works with the '--gen-keys' option, the key size must be 2048 or higher, otherwise it will be rounded up to 2048. The default is 2048.

SEE ALSO

salt(7) salt-master(1) salt-minion(1)

AUTHOR
Thomas S. Hatch <thatch45@gmail.com> and many others, please see the Authors file

COPYRIGHT
2013 SaltStack, Inc.